Package com.mockobjects.jms

# Class MockTopicConnectionFactory

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockTopicConnectionFactory

All Implemented Interfaces:
  `Verifiable`

public class MockTopicConnectionFactory extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockTopicConnectionFactory()`

## Method Summary

Modifier and Type
Method
Description
`TopicConnection`
`createTopicConnection()`
`TopicConnection`
`createTopicConnection(String userName, String password)`
`void`
`setupCreateTopicConnection(TopicConnection topicConnectionToReturn)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockTopicConnectionFactory

public MockTopicConnectionFactory()

## Method Details

### setupCreateTopicConnection

public void setupCreateTopicConnection(TopicConnection topicConnectionToReturn)

### createTopicConnection

public TopicConnection createTopicConnection() throws JMSException

Throws:
  `JMSException`

### createTopicConnection

public TopicConnection createTopicConnection(String userName, String password) throws JMSException

Throws:
  `JMSException`